// @ts-nocheck
import { t as pT } from '@prokyon/localization/message';
import { Dictionary as prokyonDictionary, DotNestedKeys } from '@prokyon/localization/types';

import { Dictionary } from './schema';

type FullDictionary = prokyonDictionary & Dictionary;

export function t(key: DotNestedKeys<FullDictionary>, variables?: Record<string, any>) {
	return pT<FullDictionary>(key, variables);
}